package com.uca.bookings;


/**
 * Interface déclarant les opérations possibles du patron de conception état utilisé pour représenter les états possibles d'une réservation.
 *
 * @author Ugo Cesano
 * @author Clément Colmerauer
 */
public interface State {

  void pay(Booking booking);

  void confirm(Booking booking);

  void cancel(Booking booking);

}
